=== debian/changelog ===
mirrorbits (0.5.1+git20210123.eeea0e0+ds1-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:27:39 +0000

mirrorbits (0.5.1+git20210123.eeea0e0+ds1-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update\

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 15:01:49 +0530

mirrorbits (0.5.1+git20210123.eeea0e0+ds1-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-xtext

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 01 Feb 2023 12:15:37 +0100

mirrorbits (0.5.1+git20210123.eeea0e0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #994039)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 08 Oct 2021 15:47:32 +0200
