## mirrorbits 0.5.1+git20220308.9189dc7+ds1

=== debian/changelog ===
mirrorbits (0.5.1+git20220308.9189dc7+ds1-4ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 10:17:40 +0530

mirrorbits (0.5.1+git20220308.9189dc7+ds1-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:55 +1200

mirrorbits (0.5.1+git20220308.9189dc7+ds1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add a patch to investigate test failure on armel

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 Jul 2023 12:58:14 +0700

mirrorbits (0.5.1+git20220308.9189dc7+ds1-3) unstable; urgency=medium

  * Depend on redis
  * Recommend rsync
  * Suggests geoipupdate
  * Add patch to adjust the default location for GeoIP database
  * Update dependency name: golang-yaml.v2-dev -> golang-gopkg-yaml.v2-dev
  * Create mirrorbits system user

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 Jul 2023 08:40:51 +0700

mirrorbits (0.5.1+git20220308.9189dc7+ds1-2) unstable; urgency=medium

  * Replace transitional golang-goprotobuf-dev package
  * Drop patch aimed at compatibility with golang-goprotobuf-dev 1.5.x
  * Fix FTBFS with libprotobuf-dev 3.21.9 (Closes: #1026674)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 21 Apr 2023 11:20:56 +0700

mirrorbits (0.5.1+git20220308.9189dc7+ds1-1) unstable; urgency=medium

  * Drop patches, applied upstream
  * Drop minor patch level from Standards Version
  * Use dh-sequence-golang, drop --with from dh options
  * Enable buildmode=pie for riscv64
  * Update lintian overrides
  * Add debian/clean to remove the systemd service file
  * Add patch to meet requirements of golang-protobuf 1.5.x

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 18 Jul 2022 14:55:10 +0200
