=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-github-coreos-go-systemd-dev,
+ golang-github-golang-protobuf-1-3-dev,
  golang-github-gomodule-redigo-dev,
  golang-github-howeyc-gopass-dev,
  golang-github-op-go-logging-dev,
@@ -20,9 +21,9 @@
  golang-golang-x-net-dev,
  golang-google-grpc-dev,
  golang-gopkg-tylerb-graceful.v1-dev,
- golang-goprotobuf-dev,
- golang-yaml.v2-dev,
-Standards-Version: 4.6.0.1
+ golang-gopkg-yaml.v2-dev,
+ protoc-gen-go-1-3,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mirrorbits
 Vcs-Git: https://salsa.debian.org/debian/mirrorbits.git
 Homepage: https://github.com/etix/mirrorbits
@@ -32,9 +33,16 @@
 Package: mirrorbits
 Architecture: any
 Depends:
+ adduser,
+ redis,
  ${misc:Depends},
  ${shlibs:Depends},
-Built-Using: ${misc:Built-Using}
+Recommends:
+ rsync,
+Suggests:
+ geoipupdate,
+Built-Using:
+ ${misc:Built-Using},
 Description: geographical download redirector
  Mirrorbits is a geographical download redirector written in Go for
  distributing files efficiently across a set of mirrors. It offers a simple and
