=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,17 @@
 GO_LDFLAGS += -X $(PKG)/core.VERSION=$(DEB_VERSION_UPSTREAM)
 GO_LDFLAGS += -X $(PKG)/core.BUILD=$(DEB_VERSION)
 GO_LDFLAGS += -X $(PKG)/config.TEMPLATES_PATH=/usr/share/mirrorbits
-# buildmode=pie is available for riscv64 starting go 1.16
-ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el riscv64))
+ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
 GO_BUILDFLAGS += -buildmode=pie
 endif
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 execute_after_dh_auto_configure:
 	cd _build/src/$(PKG) && \
-	protoc -I rpc --go_out=plugins=grpc:rpc rpc/rpc.proto
+	find -name "*.pb.go" -delete -printf "removed %p\n" && \
+	protoc -I rpc --go_out=plugins=grpc,Mgoogle/protobuf/empty.proto=github.com/golang/protobuf/ptypes/empty,Mgoogle/protobuf/timestamp.proto=github.com/golang/protobuf/ptypes/timestamp:rpc rpc/rpc.proto
 
 override_dh_auto_build:
 	dh_auto_build -- $(GO_BUILDFLAGS) -ldflags '$(GO_LDFLAGS)'
