## mirrorbits 0.5.1+git20240203.4e34d9b+ds1

=== debian/changelog ===
mirrorbits (0.5.1+git20240203.4e34d9b+ds1-1) unstable; urgency=medium

  * Add copyright information for the geoip contrib script
  * Prepend a 'v' to mirrorbits version
  * Fix templates path
  * Add systemd services, drop example from contrib
  * Add a logrotate config file
  * Create the directory /etc/mirrorbits
  * Update README.Debian
  * Add NEWS entry
  * Add basic autopkgtests
  * Install bash completion from contrib
  * Build-Depends: Switch to golang-gopkg-yaml.v3-dev
  * Install a sysusers.d(5) fragment to set up the system user
  * Finalize the NEWS file

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 05 Feb 2024 17:13:24 +0700
