=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: mirrorbits
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mirrorbits Maintainers <mirrorbits@packages.debian.org>
+Maintainer: Mirrorbits Maintainers <mirrorbits@packages.debian.org>
 Uploaders:
  Arnaud Rebillout <arnaudr@kali.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
+ bash-completion,
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
@@ -21,7 +21,7 @@
  golang-golang-x-net-dev,
  golang-google-grpc-dev,
  golang-gopkg-tylerb-graceful.v1-dev,
- golang-gopkg-yaml.v2-dev,
+ golang-gopkg-yaml.v3-dev,
  protoc-gen-go-1-3,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mirrorbits
@@ -33,11 +33,12 @@
 Package: mirrorbits
 Architecture: any
 Depends:
- adduser,
+ adduser | systemd-sysusers,
  redis,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ logrotate,
  rsync,
 Suggests:
  geoipupdate,
