=== debian/tests/control ===
Tests: mirrorbits-basic
Restrictions: needs-root
