## mirrorbits 0.5.1+git20240729.2c92eee+ds1

=== debian/changelog ===
mirrorbits (0.5.1+git20240729.2c92eee+ds1-3) unstable; urgency=medium

  * Add missing test Depends: redis
  * Add a salsa-ci file

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 25 Nov 2024 10:52:29 +0700

mirrorbits (0.5.1+git20240729.2c92eee+ds1-2) unstable; urgency=medium

  * Install contrib/mirrorbits-* scripts

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 11 Nov 2024 11:09:09 +0700

mirrorbits (0.5.1+git20240729.2c92eee+ds1-1) unstable; urgency=medium

  * Reinstate code generation for the file rpc.proto
  * Downgrade redis to Recommends
  * Bump Standards-Version (no change needed)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 22 Aug 2024 14:33:45 +0700

mirrorbits (0.5.1+git20240203.4e34d9b+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build against protobuf 1.5 (Closes: #1077366)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Aug 2024 10:39:33 -0400

mirrorbits (0.5.1+git20240203.4e34d9b+ds1-2) unstable; urgency=medium

  * Build-Depends += pkgconf, zlib1g-dev (Closes: #1067366)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 26 Apr 2024 20:44:36 +0700
