=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-golang,
  golang-any,
  golang-github-coreos-go-systemd-dev,
- golang-github-golang-protobuf-1-3-dev,
+ golang-github-golang-protobuf-1-5-dev,
  golang-github-gomodule-redigo-dev,
  golang-github-howeyc-gopass-dev,
  golang-github-op-go-logging-dev,
@@ -22,8 +22,10 @@
  golang-google-grpc-dev,
  golang-gopkg-tylerb-graceful.v1-dev,
  golang-gopkg-yaml.v3-dev,
- protoc-gen-go-1-3,
-Standards-Version: 4.6.2
+ pkgconf,
+ protoc-gen-go-1-5,
+ zlib1g-dev,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/mirrorbits
 Vcs-Git: https://salsa.debian.org/debian/mirrorbits.git
 Homepage: https://github.com/etix/mirrorbits
@@ -34,11 +36,11 @@
 Architecture: any
 Depends:
  adduser | systemd-sysusers,
- redis,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  logrotate,
+ redis,
  rsync,
 Suggests:
  geoipupdate,
@@ -73,4 +75,5 @@
   * Seamless binary upgrade (aka zero downtime upgrade)
   * Mirmon support
   * Full IPv6 support
+  * If-Modified-Since (RFC-7232) support
   * more...
