=== debian/tests/control ===
Tests: mirrorbits-basic-redis
Depends: @, redis
Restrictions: needs-root
