## mirrorbits 0.5.1+git20250328.0435651+ds1

=== debian/changelog ===
mirrorbits (0.5.1+git20250328.0435651+ds1-1) unstable; urgency=medium

  * Drop patches applied upstream
  * Drop `Wants/After=redis.service` from systemd services
  * Requirements: allow (and prefer) valkey over redis
  * Rework autopkgtests to test either redis or valkey or none

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 28 Mar 2025 22:09:33 +0700
