## mirrorbits 0.6

=== debian/changelog ===
mirrorbits (0.6-1) unstable; urgency=medium

  * Update watch file for tagged releases
  * New upstream release [0.6]

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 02 Apr 2025 23:59:45 +0700
