=== debian/control ===
--- 
+++ 
@@ -40,8 +40,8 @@
  ${shlibs:Depends},
 Recommends:
  logrotate,
- redis,
  rsync,
+ valkey-server | redis-server,
 Suggests:
  geoipupdate,
 Built-Using:
