=== debian/changelog ===
mirrorbits (0.6.1-1) unstable; urgency=medium

  * New upstream version [0.6.1]
  * Bump standards version (no changes needed)
  * Update FSF address in d/copyright
  * Update my email address
  * Add Static-Built-Using in d/control

 -- Arnaud Rebillout <arnaudr@debian.org>  Sun, 24 Aug 2025 20:58:00 +0700
