=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mirrorbits
 Maintainer: Mirrorbits Maintainers <mirrorbits@packages.debian.org>
 Uploaders:
- Arnaud Rebillout <arnaudr@kali.org>,
+ Arnaud Rebillout <arnaudr@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -25,7 +25,7 @@
  pkgconf,
  protoc-gen-go-1-5,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/mirrorbits
 Vcs-Git: https://salsa.debian.org/debian/mirrorbits.git
 Homepage: https://github.com/etix/mirrorbits
@@ -46,6 +46,8 @@
  geoipupdate,
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: geographical download redirector
  Mirrorbits is a geographical download redirector written in Go for
  distributing files efficiently across a set of mirrors. It offers a simple and
