=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 execute_after_dh_auto_configure:
 	cd _build/src/$(PKG) && \
 	find -name "*.pb.go" -delete -printf "removed %p\n" && \
-	protoc -I rpc --go_out=plugins=grpc,Mgoogle/protobuf/empty.proto=github.com/golang/protobuf/ptypes/empty,Mgoogle/protobuf/timestamp.proto=github.com/golang/protobuf/ptypes/timestamp:rpc rpc/rpc.proto
+	protoc -I rpc --go_opt=paths=source_relative --go_out=plugins=grpc:rpc rpc.proto
 
 override_dh_auto_build:
 	dh_auto_build -- $(GO_BUILDFLAGS) -ldflags '$(GO_LDFLAGS)'
