=== debian/tests/control ===
Tests: mirrorbits-basic
Restrictions: needs-root

Tests: mirrorbits-basic-redis
Restrictions: needs-root
Depends: @, redis-server

Tests: mirrorbits-basic-valkey
Restrictions: needs-root
Depends: @, valkey-server
