=== debian/watch ===
version=4
# Use the following to get proper releases
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
https://api.github.com/repos/etix/mirrorbits/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
# Use the following to track git HEAD
#opts="mode=git, pgpmode=none, pretty=0.5.1+git%cd.%h, \
#      dversionmangle=s/\+ds\d*$//, repacksuffix=+ds1" \
#  https://github.com/etix/mirrorbits HEAD
